<AuthState name="${state.entry}" class="ch.nevis.esauth.auth.states.scripting.ScriptState" final="false" resumeState="true">
	<ResultCond name="verifyTicket" next="${state.entry}_VerifyURLTicket"/>
	<ResultCond name="sendAuthnRequest" next="${state.exit.1}"/>
	<ResultCond name="processResponse" next="${state.exit.2}"/>
	<Response value="AUTH_CONTINUE">
		<Gui name="op_onbrdng_intro" label="op-onboarding.intro.title">
			<GuiElem name="lasterror" type="error" label="${notes:lasterrorinfo}" value="${notes:lasterror}"/>
			<GuiElem name="submit" type="button" label="continue.button.label" value="go" />
		</Gui>
	</Response>
	<property name="scriptTraceGroup" value="AGOVOP-ACCT"/>
	<property name="script" value="file:///var/opt/nevisauth/default/conf/OpOnbrdng-PreProcessing.groovy"/>
    <property name="parameter.cookie.domain" value="${var.admin-language-cookie-domain}"/>
</AuthState>
<AuthState name="${state.entry}_VerifyURLTicket" class="ch.nevis.idm.authstate.IdmURLTicketVerifyState" final="false" resumeState="false">
	<ResultCond name="ok" next="${state.entry}_IdmPostProcessing" authLevel="auth.weak"/>
	<ResultCond name="tmpLocked" next="${state.entry}_VerifyURLTicket_Failed"/>
	<ResultCond name="lockWarn" next="${state.entry}_VerifyURLTicket_Failed"/>
	<ResultCond name="nowLocked" next="${state.entry}_VerifyURLTicket_Failed"/>
	<ResultCond name="locked" next="${state.entry}_VerifyURLTicket_Failed"/>
	<ResultCond name="failed" next="${state.entry}_VerifyURLTicket_Failed"/>
	<Response value="AUTH_CONTINUE">
		<Gui name="NoGui"/>
	</Response>
	<propertyRef name="nevisIDM_Connector"/>
	<property name="client.name" value="OPERATIONS"/>
	<property name="user.ticket" value="${sess:agov.op.onboarding.code}"/>
	<property name="user.loginid" value="${sess:agov.op.onboarding.code}"/>
</AuthState>
<AuthState name="${state.entry}_VerifyURLTicket_Failed"  class="ch.nevis.esauth.auth.states.standard.TransformAttributes" final="false" resumeState="false">
	<ResultCond name="default" next="${state.entry}"/>
	<Response value="AUTH_CONTINUE">
		<Gui name="NoGui"/>
	</Response>
	<property name="notes:lasterror" value="9904"/>
	<property name="notes:lasterrorinfo" value="Problem with URL-ticket (${notes:lasttransition}): ${notes:lasterrorinfo}"/>
</AuthState>
<AuthState name="${state.entry}_IdmPostProcessing" class="ch.nevis.idm.authstate.IdmGetPropertiesState" final="false" resumeState="false">
	<ResultCond name="ok" next="${state.entry}" authLevel="auth.normal"/>
	<ResultCond name="default" next="${state.entry}_IdmPostProcessing_Failed"/>
	<ResultCond name="clientNotFound" next="${state.entry}_IdmPostProcessing_Failed"/>
	<Response value="AUTH_CONTINUE">
		<Gui name="NoGui"/>
	</Response>
	<propertyRef name="nevisIDM_Connector"/>
	<property name="detaillevel.default" value="MEDIUM"/>
	<property name="detaillevel.user" value="MEDIUM"/>
	<property name="detaillevel.profile" value="MEDIUM"/>
	<property name="detaillevel.credential" value="MEDIUM"/>
	<property name="detaillevel.saml_federation" value="MEDIUM"/>
	<property name="chooseDefaultProfile" value="true"/>
	<property name="user.attributes" value="firstName,name,email,language"/>
	<property name="user.cred.saml_federation1.issuerNameId" value=" true"/>
	<property name="user.cred.saml_federation1.subjectNameId" value="true"/>
	<property name="user.cred.saml_federation2.issuerNameId" value="true"/>
	<property name="user.cred.saml_federation2.subjectNameId" value="true"/>
	<property name="user.cred.saml_federation3.issuerNameId" value="true"/>
	<property name="user.cred.saml_federation3.subjectNameId" value="true"/>
</AuthState>
<AuthState name="${state.entry}_IdmPostProcessing_Failed"  class="ch.nevis.esauth.auth.states.standard.TransformAttributes" final="false" resumeState="false">
	<ResultCond name="default" next="${state.entry}"/>
	<Response value="AUTH_CONTINUE">
		<Gui name="NoGui"/>
	</Response>
	<property name="notes:lasterror" value="9905"/>
	<property name="notes:lasterrorinfo" value="Problem with operations account (${sess:ch.adnovum.nevisidm.user.extId}): ${notes:lasterrorinfo}"/>
</AuthState>
